<html>
<head>
<title>Comment utiliser Hugs</title>

</head>

<BODY BACKGROUND="" BGCOLOR="#f0d0a0" TEXT="#000080" LINK="#80ff00" 
 VLINK="#993000" ALINK="#ff0000">
<P>

<center>
<h1>
Comment utiliser Hugs
</h1>
</center>
<p>
Hugs est un interprète du langage Haskell, installable sur toutes
les plates-formes populaires. 
Voici sa <a href="http://www.cse.ogi.edu/~mpj/hugs/hugs98.html">page
oficielle,</a> crée par son auteur, Mark Jones.
<p>

Hugs est installé sur le réseau Linux étudiants, dans
<tt>/usr/share/soft</tt>. (D'ailleurs, dans ce répertoire vous
trouverez beaucoup de choses qui puissent être utiles plus
tard...)
<p>
<b>
La première chose à faire est de mettre <tt>/usr/share/soft/bin</tt>
dans votre PATH !!
</b>
Vérifiez si ça marche :
<pre>
hugs /usr/share/soft/share/hugs/demos/Say.hs
</pre>
Ainsi vous vous trouverez sous le contrôle de l'interprète, et vous
pouvez taper des expressions, comme 2*2, etc. Fin de ligne termine
l'expression. Tapez ensuite (sans l'invite <tt>Say></tt>)
<pre>
Say> putStr (say "Bonjour")
</pre>
et vous devez obtenir
<pre>

BBBB    OOO   N   N  JJJJJ   OOO   U   U  RRRR 
B   B  O   O  NN  N     J   O   O  U   U  R   R
BBBB   O   O  N N N     J   O   O  U   U  RRRR 
B   B  O   O  N  NN  J  J   O   O  U   U  R  R 
BBBB    OOO   N   N   JJ     OOO    UUU   R   R

Say> 
</pre>
<p>
Terminez l'exécution par :
<pre>
Say>:quit
</pre>
(Il suffit de taper <tt>:q</tt>).
<p>

L'exécutable se trouve dans <tt>/usr/share/soft/bin</tt>, mais tout
le "bazar" est dans <tt>/usr/share/soft/Hugs98</tt>, y compris toute
la documentation, en particulier un bon document PDF. Pour varier, les démos ont été placés dans
<tt>/usr/share/soft/share/hugs</tt> (Pitié... ce n'est pas
entièrement ma faute...)
<p>
La documentation HTML est <i>accesoirement</i> 
<a href="../../docs/hugsdoc/index.html" target=_top>accessible chez
moi</a>.
<p>

Pour en savoir plus, visitez les pages de Haskell, installez quelque
chose chez vous, et posez des questions.
<p>
<hr>
<p>
<b>Notice :</b> Haskell est le prenom de Haskel Curry, un célebre
logicien dont le nom vous doit être connu (même pour ceux qui n'aiment
pas la cuisine Indienne).




</body>
</html>
